Subject: Re: bug#9960: Compiling Emacs trunk with MSVC

From: Juanma Barranquero <[email-masked]>
Date: Sun, 20 Nov 2011 22:15:15 +0100

On Sun, Nov 20, 2011 at 21:59, Fabrice Popineau
<[email-masked]> wrote:

> Just to let you know that emacs win64 compiles, dumps and loads.
> There are still a couple of glitches. It does not yet bootstrap itself.

Very cool, thanks.

You're using MSVC, not MinGW, I think? If so, we can tackle compiling
with MinGW (or TDM-GCC) later once you've got it all shiny.

> Main problems are :
> - switch "long" to something that is 64 bits long when compiling for 64 bits
> architecture

How is that solved when Emacs is compiled for 64-bit POSIX systems?

> - some functions are implicitly assumed to return an int because they are
> not declared before being used

There are lots of functions implictly declared. Compiling Emacs with
gcc's -Wimplicit-function-declaration flag gives 204 warnings, 56 of
them in w32*.c files. Though of course not all of them are relevant
(in some cases, the results are never used, etc.).

> I will keep on polishing things up to the point it will bootstrap itself.

Thanks a lot.

    Juanma